Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1856626

Unable to create a compute profile for a specific vmware compute resource. The compute resource is a vmware 6.5U2 cluster
connecting via vsphere 6.7U3. When trying to create the compute profile, receiving the following error message:

Oops, we're sorry but something went wrong undefined method “gsub'’ for nil:NilClass

ActionView::Template::Error

undefined method “gsub' for nil:NilClass

/usr/share/foreman/app/models/concerns/fog_extensions/vsphere/folder.rb:6:in “to_label'
/opt/theforeman/tfm-ror52/root/usr/share/gems/gems/actionview-5.2.1/lib/action_view/helpers/form_options_helper.rb:805:in
“value_for_collection'

a suggested fix in the customer case:
Edit the file:

path.slice((path.index(datacenter) + datacenter.length + 1)..-1).gsub(/", ' /")
Try changing to
path.slice((path.index(datacenter) + datacenter.length + 1)..-1).to_s.gsub('/","' /")
Restart the Satellite services.
1. katello-service restart

Now try to make changes to the Compute profile and share us your observations.

Related issues:
Is duplicate of Foreman - Bug #28155: Cannot view Compute-Profiles from a spe... Closed

Associated revisions

Revision 951efe8a - 01/06/2022 10:41 AM - Bernhard Suttner
Fixes #30550,#28155 - Return valid vsphere folder (#9006)

History

#1 - 12/21/2021 05:25 PM - Ondfej Ezr

- Subject changed from Unable to create compute profile for specific vmware compute resource
to Unable to create compute profile for specific vmware compute resource

- Status changed from New to Duplicate

- Bugzilla link deleted (1856626)

Dup of #28155
https://bugzilla.redhat.com/show_bug.cgi?id=1856626
https://projects.theforeman.org/issues/28155

#2 - 12/21/2021 05:26 PM - Ondrej Ezr

- Is duplicate of Bug #28155: Cannot view Compute-Profiles from a specific Compute-Resource added

#3 - 01/06/2022 10:41 AM - The Foreman Bot
- Fixed in Releases 3.2.0 added

#4 - 01/26/2022 03:04 PM - Ewoud Kohl van Wijngaarden
- Target version set to 3.1.1
- Triaged changed from No to Yes

- Fixed in Releases 3.1.1 added
